# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`fahclient`](#fahclient): Folding@Home client
* [`fahclient::params`](#fahclientparams): Distro-specific default settings

## Classes

### fahclient

Folding@Home client

#### Parameters

The following parameters are available in the `fahclient` class.

##### `user`

Data type: `String`

Folding@Home username

##### `passkey`

Data type: `String`

Folding@home user's passkey

##### `team_id`

Data type: `Integer`

Folding@home team ID number

##### `ensure`

Data type: `Enum['absent', 'present']`

Ensure absent or present (default)

Default value: 'present'

##### `version`

Data type: `Optional[String]`

Which version to install (optional)

Default value: `undef`

##### `cause`

Data type: `Pattern[/^[A-Z]+$/]`

Which Folding@Home cause to support (ANY, COVID_19, etc)

Default value: 'ANY'

##### `power`

Data type: `Enum['light', 'medium', 'full']`

How much CPU/GPU resource to use

Default value: 'medium'

##### `gpu`

Data type: `Boolean`

Whether to use GPU

Default value: `true`

##### `gpu_slots`

Data type: `Integer`

How many GPU slots to use

Default value: 0

##### `cpu_slots`

Data type: `Integer`

How many CPU slots to use

Default value: 1

##### `cpus_per_slot`

Data type: `Integer`

How many CPUs per CPU slot

Default value: /

##### `package_source_path`

Data type: `Optional[String]`

URL or local file path to package file (.rpm or .deb)
On RedHat-based distros this can be a URL, on Debian-based it must be a local file
If set to undef, package will be installed for a pre-configured repo

Default value: $fahclient::params::package_source

##### `uid`

Data type: `Optional[Integer]`

Optional fixed uid for fahclient user

Default value: `undef`

##### `gid`

Data type: `Optional[Integer]`

Optional fixed gid for fahclient user

Default value: `undef`

##### `manage_service`

Data type: `Boolean`

Whether to manage service

Default value: `true`

##### `service_ensure`

Data type: `Enum['running', 'stopped']`

Whether service should be running or stopped

Default value: 'running'

##### `service_enable`

Data type: `Boolean`

Whether to enable service

Default value: `true`

### fahclient::params

Distro-specific default settings

